Bug 54946 - /etc/security/pam_env.conf variables don't work correctly if i loginlocally
/etc/security/pam_env.conf variables don't work correctly if i loginlocally
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 11:57 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 12:50:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-23 11:57:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install util_linux update
2. put "PAGER DEFAULT=less" in your /etc/security/pam_env.conf 
3. login locally (ttyx)
4. try to look to a manpage (eg. man man)
or
5. echo $PAGER
	

Actual Results:  sh: less!: command not found
Error executing formatting or display command.
System command (cd /usr/share/man && (echo ".pl 1100i"; /bin/gunzip -c
'/usr/share/man/man1/man.1.gz'; echo; echo ".pl \n(nlu+10") | /usr/bin/gtbl
| /usr/bin/nroff -mandoc | less!) exited with status 32512.
No manual entry for man

echo $PAGER
gives
less!
instead of just less

Expected Results:  i should see a manpager
$PAGER should be "less"
PAGER DEFAULT=/usr/bin/less

Additional info:

it's even worse if i set 

then $PAGER is some binary shit

Did you ever tried the package, before sending it out as an update?

Thanks,

Vincent
Comment 1 Elliot Lee 2001-10-23 12:50:50 EDT
I can reproduce it on 7.1 with util-linux-2.11f-11.7.1, but not 7.1 with
util-linux-2.10s-* nor on 7.2.
Things that you could try without any help would include updating to 7.2, or
updating your PAM package to the pam-0.75-14 in 7.2.

If the PAM update doesn't work for you, I will try to talk to the PAM packager
and find out what is up, and possibly get a fix into rawhide.
Comment 2 Elliot Lee 2002-01-04 14:29:04 EST
No reply, and it works in latest release, so considering it fixed.

Note You need to log in before you can comment on or make changes to this bug.